Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaPersistenceUnitMetadata

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaPersistenceUnitMetadata

All Implemented Interfaces:
  XMLSerializable

    public class JpaPersistenceUnitMetadata

extends Object
implements XMLSerializable

Author:
  Andrus Adamchik

Field Summary
`protected JpaPersistenceUnitDefaults` | `persistenceUnitDefaults`
`protected boolean` | `xmlMappingMetadataComplete`

Constructor Summary
`JpaPersistenceUnitMetadata()`

Method Summary
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`JpaPersistenceUnitDefaults` | `getPersistenceUnitDefaults()`
`boolean` | `isXmlMappingMetadataComplete()`
`void` | `setPersistenceUnitDefaults(JpaPersistenceUnitDefaults persistenceUnitDefaults)`
`void` | `setXmlMappingMetadataComplete(boolean xmlMappingMetadataComplete)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xmlMappingMetadataComplete

    protected boolean xmlMappingMetadataComplete

### persistenceUnitDefaults

    protected JpaPersistenceUnitDefaults persistenceUnitDefaults

Constructor Detail

### JpaPersistenceUnitMetadata

    public JpaPersistenceUnitMetadata()

Method Detail

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Description copied from interface: `XMLSerializable`
  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`

### isXmlMappingMetadataComplete

    public boolean isXmlMappingMetadataComplete()

### setXmlMappingMetadataComplete

    public void setXmlMappingMetadataComplete(boolean xmlMappingMetadataComplete)

### getPersistenceUnitDefaults

    public JpaPersistenceUnitDefaults getPersistenceUnitDefaults()

### setPersistenceUnitDefaults

    public void setPersistenceUnitDefaults(JpaPersistenceUnitDefaults persistenceUnitDefaults)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.